%global goipath github.com/alexcesaro/quotedprintable
Version:        3.0.0

%gometa

%global v3_goipath     gopkg.in/v3/alexcesaro/quotedprintable
%global v3_goipath_sec gopkg.in/alexcesaro/quotedprintable.v3

%global v3_goipath_name %gorpmname %{v3_goipath}
%global v3_goipath_sec_name %gorpmname %{v3_goipath_sec}

Name:           %{goname}-v3
Release:        1%{?dist}
Summary:        A Go package concerning quoted-printable encoding
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{summary}.


%build
true


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}.

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.

%package -n %{v3_goipath_name}-devel
Summary:       %{summary}
BuildArch:     noarch

%description -n %{v3_goipath_name}-devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{v3_goipath} prefix.

%package -n %{v3_goipath_sec_name}-devel
Summary:       %{summary}
BuildArch:     noarch

%description -n %{v3_goipath_sec_name}-devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{v3_goipath_sec} prefix.


%prep
%forgeautosetup -p1


%install
%goinstall
%goinstall -i %{v3_goipath} -o v3-devel.file-list
%goinstall -i %{v3_goipath_sec} -o v3-sec-devel.file-list


%check
%gochecks


%files devel -f devel.file-list
%doc README.md
%license LICENSE

%files -n %{v3_goipath_name}-devel -f v3-devel.file-list
%license LICENSE
%doc README.md

%files -n %{v3_goipath_sec_name}-devel -f v3-sec-devel.file-list
%license LICENSE
%doc README.md


%changelog
* Fri Mar 22 2019 Mark Goodwin <mgoodwin@redhat.com> - 3.0.0-1
- First package for Fedora
